关于Apache Solr信息泄露漏洞(CVE-2021-44548)的预警提示

发布时间:2021-12-23浏览次数:352

一、漏洞详情

Apache Solr是一个开源的搜索服务,使用Java语言开发,主要基于HTTPApache Lucene实现。

Apache发布安全公告,Apache Solr中存在一个信息泄露漏洞(CVE-2021-44548),该漏洞影响了8.11.1之前的所有Apache Solr版本(仅影响Windows平台)。

Apache SolrDataImportHandler中存在一个不正确的输入验证漏洞,可利用Windows UNC路径从Solr主机调用网络上的另一台主机的SMB服务,或导致SMB攻击,从而造成:

1、敏感数据泄露,如系统用户哈希(NTLM/LM哈希);

2、在系统配置错误的情况下,SMB中继攻击可能导致用户在SMB共享中被冒充,或导致远程代码执行。

二、影响范围

Apache Solr < 8.11.1(仅Windows

三、修复建议

目前此漏洞已经修复,建议受影响用户升级到Apache Solr 8.11.1

下载链接:https://solr.apache.org/downloads.html

缓解措施:确保只有受信任的客户端才能向SolrDataImporthandler发出请求。